<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zsElectric.boot.business.mapper.UserInfoIntegralLogMapper">

    <!-- 获取用户积分日志记录分页列表 -->
    <select id="getUserInfoIntegralLogPage" resultType="com.zsElectric.boot.business.model.vo.UserInfoIntegralLogVO">
        SELECT
                id,
                user_id,
                integral_num_org,
                integral_num,
                type,
                source_type,
                chang_no,
                remark,
                create_time,
                create_by,
                update_time,
                update_by,
                is_deleted
        FROM
            c_user_info_integral_log
        <where>
        is_deleted = 0
        </where>
        ORDER BY create_time DESC
    </select>

</mapper>
